Subject: Re: x86/non-x86: percpu, node ids, apic ids x86.git fixup

From: Ingo Molnar <[email-masked]>
Date: Wed, 30 Jan 2008 20:49:21 +0100

* Ingo Molnar <[email-masked]> wrote:

> > Some place in there.  The CONFIG_SMP=n path in ia64 makes quite 
> > radical changes ... rather than putting all the per-cpu stuff into 
> > the top 64K of address space and providing a per-cpu TLB mapping for 
> > that range to a different physical address ... it just makes all the 
> > per-cpu stuff link as ordinary variables in .data.  The error 
> > messages indicate that some of the new code is unaware of this.
> 
> ah, that was the vital clue. The patch below makes the small memory 
> model only defined on SMP, and makes the config build/link fine here. 
> Does this build and boot on your box?

if this works for you then could you please send me your Acked-by as 
well, for this and the other ia64 changes, so that we can send these to 
Linus ASAP?

	Ingo